tech-pkg archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: Removing old and broken and/or insecure packages

On Tue, Jan 26, 2010 at 01:05:33PM +0000, Dave wrote:
 > > In that case, please spend some time to make it actually buildable with
 > > modern GCC...
 > [...]
 > Even if I had the time to devote to making it buildable on
 > today's GCC, there's no way that a community of two can possibly keep
 > the thing maintained when tomorrow's GCC comes out.

That's not true. Old gcc fails to compile mostly because various
peripheral pieces of it (like "obstacks") were written using gcc
extensions, which were then removed in a rather summary fashion.

I have at least one old OS tree that still uses (and needs) gcc 2.7,
and it crossbuilds fine with gcc 4.1. I remember patching it at least
once and grumbling, but it wasn't any more than an annoyance, and it's
certainly not taken much effort over the years to keep it going.

I can try to extract the patches from that tree, but it'd probably be
faster to redo them.

David A. Holland

Home | Main Index | Thread Index | Old Index